---
title: ArgoBox
pubDate: 2023-10-15
description: A homelab server setup with Docker, Kubernetes, and various self-hosted services
author: LaForce IT
heroImage: /images/argobox-hero.jpg
category: Infrastructure
technologies:
  - Docker
  - Kubernetes
  - Self-hosted
  - Proxmox
  - K3s
github: https://github.com/KeyArgo/homelab-infrastructure
draft: false
---

# ArgoBox

ArgoBox is a comprehensive homelab infrastructure project that combines virtualization, containerization, and automation to create a robust home server environment.

## Overview

This project serves as the foundation for all my self-hosted services, including:

- K3s Kubernetes cluster
- GitOps with Flux CD
- Monitoring with Prometheus and Grafana
- Home automation tools
- Media services
- Development environment

## Technical Stack

- **Hypervisor**: Proxmox VE
- **Container Orchestration**: K3s Kubernetes
- **Configuration Management**: Ansible
- **GitOps**: Flux CD
- **Storage**: Longhorn, NFS
- **Networking**: MetalLB, Cloudflare Tunnels
- **Monitoring**: Prometheus, Grafana, Loki

## Project Goals

- Create a reliable, self-healing infrastructure
- Implement GitOps practices for declarative configuration
- Enable easy deployment of new services
- Provide comprehensive monitoring and alerting
- Document the setup for reproducibility

## Current Status

The project is continuously evolving with new services and improvements being added regularly. Check the GitHub repository for the latest updates and documentation.
